import java.awt.AWTException;
import java.awt.Robot;
import java.awt.event.InputEvent;

Robot robot;

PVector startPoint = new PVector();
PVector destination = new PVector();
float progress;
float progressSpeed = 0.1f;

float clickChance = 0.1f;
boolean mouseClicked = false;

void setup() {
  try {
    robot = new Robot();
  } 
  catch (AWTException e) {
    e.printStackTrace();
  }
  setDestiniation();
}

void draw() {
  robot.mouseMove(
    (int) lerp(startPoint.x, destination.x, progress), 
    (int)  lerp(startPoint.y, destination.y, progress));
  progress += progressSpeed;
  if (random(1) < clickChance) {
    if (!mouseClicked) {
      robot.mousePress(InputEvent.BUTTON1_MASK);
    } else {
      robot.mouseRelease(InputEvent.BUTTON1_MASK);
    }
    mouseClicked = !mouseClicked;
  }
  if (progress > 1) {
    setDestiniation();
  }
  if (millis() > 20000) {
    exit();
  }
}

void setDestiniation() {
  startPoint.set(destination);
  destination.set(random(displayWidth), random(displayHeight));
  progress = 0;
}